Bug 1122194 - Network Connectivity issues after upgrade to LEAP 15.0
Network Connectivity issues after upgrade to LEAP 15.0
Status: RESOLVED FIXED
: 1117636 (view as bug list)
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Network
Leap 15.0
x86-64 Other
: P5 - None : Normal (vote)
: ---
Assigned To: wicked maintainers
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-01-16 13:45 UTC by Sharone B.
Modified: 2021-01-11 10:57 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
journalctl log (108.75 KB, text/plain)
2019-01-16 13:45 UTC, Sharone B.
Details
y2logs (3.68 MB, application/x-xz)
2019-01-21 06:30 UTC, Sharone B.
Details
ifcfg (7.80 KB, application/gzip)
2019-01-25 11:00 UTC, Sharone B.
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sharone B. 2019-01-16 13:45:29 UTC
Created attachment 794584 [details]
journalctl log

Hi guys,
I upgraded from LEAP 42.3 to LEAP 15.0 on Friday and since then everytime I (re)boot up I experience chaallenges with network connectivity. It isn't until I select and enable Network Manager (Network Settings > Network Setup Method) and then switch back to Wicked Service that it gets back up and running. I use static IP configuration.
I am not able to reach my GW (network unreachable) or any other IP until I switch to/from Network Manager which is when everything comes up. I had this same setup whilst on LEAP 42.3 and until I decided to upgrade I had no issues with my network setup. I run the upgrade by editing the repositories from 42.3 to 15.0. 

I have included logs from my journalctl -xe
Comment 1 Rubén Torrero Marijnissen 2019-01-17 15:27:18 UTC
Hi Sharone,

It looks to me (judging by the logs) that somehow your system has both NetworkManager and Wicked running at the same time, maybe because YaST2 is not really switching from one to another.

Could you make the switch from NetworkManager to Wicked and viceversa, and then upload the file generated with `save_y2logs`?

`#save_y2logs`

Thanks!
Comment 2 Sharone B. 2019-01-21 06:30:20 UTC
Created attachment 794972 [details]
y2logs

Network Manager logs
Comment 3 Sharone B. 2019-01-21 10:58:20 UTC
Hi Ruben,

Thank you for your feedback. I only use static IP config on my laptop. To get this to work I had to enable Network Manager and then go back to Wicked so I'm confused as to how both can be running simultaneously. Attached are the logs as requested.

Regards,
Sharone B.
Comment 4 Rubén Torrero Marijnissen 2019-01-21 18:05:33 UTC
Hi Sharone,

for an immediate fix, I'd suggest to switch to wicked using YaST2, and then make sure NetworkManager is disabled using `systemctl disable NetworkManager` as root. Reboot and check if things are back to normal and the system gets a working network configuration on boot.

In any case, this shouldn't have happened and it would be interesting to understand how this happened for you as it may be a bug triggered by the update procedure.

To better understand how both services ended up enabled at the same time:

- How did you upgrade to Leap 15? using zypper dup? using a "offline" upgrade with the Leap 15 ISO?

- What was being used before upgrade, wicked or NetworkManager?

- Did you enable manually either wicked or NetworkManager?

Thanks!
Comment 5 Sharone B. 2019-01-22 06:59:32 UTC
I upgraded using zypper dup with Wicked Services enabled. Did not have this issue prior to the upgrade. I always use YAST to switch between the two.

When I shutdown my laptop last evening and then booted it this morning I had it on Wicked. I then switched to Network Manager and then back to Wicked. 
Here's the status before running the command ;

# systemctl status NetworkManager
● NetworkManager.service - Network Manager
   Loaded: loaded (/usr/lib/systemd/system/NetworkManager.service; disabled; vendor preset: disabled)
  Drop-In: /usr/lib/systemd/system/NetworkManager.service.d
           └─NetworkManager-ovs.conf
   Active: inactive (dead) since Tue 2019-01-22 09:32:26 EAT; 2min 25s ago
     Docs: man:NetworkManager(8)
 Main PID: 1021 (code=exited, status=0/SUCCESS)

Jan 22 09:31:57 doofenshmirtz NetworkManager[1021]: <info>  [1548138717.0166] device (em1): state change: ip-config -> unavailable (reason 'carrier-changed', sys-iface>
Jan 22 09:31:57 doofenshmirtz NetworkManager[1021]: <info>  [1548138717.0328] dhcp4 (em1): canceled DHCP transaction, DHCP client pid 2929
Jan 22 09:31:57 doofenshmirtz NetworkManager[1021]: <info>  [1548138717.0328] dhcp4 (em1): state changed unknown -> done
Jan 22 09:31:57 doofenshmirtz NetworkManager[1021]: <info>  [1548138717.0335] manager: NetworkManager state is now DISCONNECTED
Jan 22 09:32:26 doofenshmirtz systemd[1]: Stopping Network Manager...
Jan 22 09:32:26 doofenshmirtz NetworkManager[1021]: <info>  [1548138746.0687] caught SIGTERM, shutting down normally.
Jan 22 09:32:26 doofenshmirtz NetworkManager[1021]: <info>  [1548138746.0697] device (wlan1): state change: unavailable -> unmanaged (reason 'unmanaged', sys-iface-sta>
Jan 22 09:32:26 doofenshmirtz NetworkManager[1021]: <info>  [1548138746.0698] device (wlan1): set-hw-addr: reset MAC address to C4:D9:87:F2:94:A5 (unmanage)
Jan 22 09:32:26 doofenshmirtz NetworkManager[1021]: <info>  [1548138746.1590] exiting (success)
Jan 22 09:32:26 doofenshmirtz systemd[1]: Stopped Network Manager.

after disabling networkmanager (nothing changed);
# systemctl status NetworkManager
● NetworkManager.service - Network Manager
   Loaded: loaded (/usr/lib/systemd/system/NetworkManager.service; disabled; vendor preset: disabled)
  Drop-In: /usr/lib/systemd/system/NetworkManager.service.d
           └─NetworkManager-ovs.conf
   Active: inactive (dead) since Tue 2019-01-22 09:32:26 EAT; 13min ago
     Docs: man:NetworkManager(8)
 Main PID: 1021 (code=exited, status=0/SUCCESS)

Jan 22 09:31:57 doofenshmirtz NetworkManager[1021]: <info>  [1548138717.0166] device (em1): state change: ip-config -> unavailable (reason 'carrier-changed', sys-iface>
Jan 22 09:31:57 doofenshmirtz NetworkManager[1021]: <info>  [1548138717.0328] dhcp4 (em1): canceled DHCP transaction, DHCP client pid 2929
Jan 22 09:31:57 doofenshmirtz NetworkManager[1021]: <info>  [1548138717.0328] dhcp4 (em1): state changed unknown -> done
Jan 22 09:31:57 doofenshmirtz NetworkManager[1021]: <info>  [1548138717.0335] manager: NetworkManager state is now DISCONNECTED
Jan 22 09:32:26 doofenshmirtz systemd[1]: Stopping Network Manager...
Jan 22 09:32:26 doofenshmirtz NetworkManager[1021]: <info>  [1548138746.0687] caught SIGTERM, shutting down normally.
Jan 22 09:32:26 doofenshmirtz NetworkManager[1021]: <info>  [1548138746.0697] device (wlan1): state change: unavailable -> unmanaged (reason 'unmanaged', sys-iface-sta>
Jan 22 09:32:26 doofenshmirtz NetworkManager[1021]: <info>  [1548138746.0698] device (wlan1): set-hw-addr: reset MAC address to C4:D9:87:F2:94:A5 (unmanage)
Jan 22 09:32:26 doofenshmirtz NetworkManager[1021]: <info>  [1548138746.1590] exiting (success)
Jan 22 09:32:26 doofenshmirtz systemd[1]: Stopped Network Manager.
Comment 6 Rubén Torrero Marijnissen 2019-01-24 14:54:10 UTC
Hi Sharone,

Could you upload your ifcfg- files from /etc/sysconfig/network/ ?

Also, could you run:
`systemctl status wicked`
and
`systemctl status NetworkManager`

just after you have booted the system? (without using YaST)?

Did the `systemctl disable NetworkManager` previously run command have any impact after reboot?
Comment 7 Sharone B. 2019-01-25 11:00:01 UTC
Created attachment 795315 [details]
ifcfg

/etc/sysconfig/network files
Comment 8 Sharone B. 2019-01-25 11:02:36 UTC
Here's status of wicked and NetworkManager after reboot.

# systemctl status wicked
● wicked.service - wicked managed network interfaces
   Loaded: loaded (/usr/lib/systemd/system/wicked.service; enabled; vendor preset: disabled)
   Active: active (exited) since Fri 2019-01-25 13:44:02 EAT; 2min 51s ago
 Main PID: 1171 (code=exited, status=0/SUCCESS)
    Tasks: 0 (limit: 4915)
   CGroup: /system.slice/wicked.service

Jan 25 13:43:56 doofenshmirtz systemd[1]: Starting wicked managed network interfaces...
Jan 25 13:44:02 doofenshmirtz wicked[1171]: lo              up
Jan 25 13:44:02 doofenshmirtz wicked[1171]: em1             up
Jan 25 13:44:02 doofenshmirtz systemd[1]: Started wicked managed network interfaces.

# systemctl status NetworkManager
● NetworkManager.service - Network Manager
   Loaded: loaded (/usr/lib/systemd/system/NetworkManager.service; disabled; vendor preset: disabled)
  Drop-In: /usr/lib/systemd/system/NetworkManager.service.d
           └─NetworkManager-ovs.conf
   Active: active (running) since Fri 2019-01-25 13:43:59 EAT; 3min 22s ago
     Docs: man:NetworkManager(8)
 Main PID: 1092 (NetworkManager)
    Tasks: 3 (limit: 4915)
   CGroup: /system.slice/NetworkManager.service
           └─1092 /usr/sbin/NetworkManager --no-daemon

Jan 25 13:46:17 doofenshmirtz NetworkManager[1092]: <info>  [1548413177.2467] dhcp4 (em1): activation: beginning transaction (timeout in 45 seconds)
Jan 25 13:46:17 doofenshmirtz NetworkManager[1092]: <info>  [1548413177.2505] dhcp4 (em1): dhclient started with pid 2657
Jan 25 13:47:02 doofenshmirtz NetworkManager[1092]: <warn>  [1548413222.1766] dhcp4 (em1): request timed out
Jan 25 13:47:02 doofenshmirtz NetworkManager[1092]: <info>  [1548413222.1767] dhcp4 (em1): state changed unknown -> timeout
Jan 25 13:47:02 doofenshmirtz NetworkManager[1092]: <info>  [1548413222.2087] dhcp4 (em1): canceled DHCP transaction, DHCP client pid 2657
Jan 25 13:47:02 doofenshmirtz NetworkManager[1092]: <info>  [1548413222.2087] dhcp4 (em1): state changed timeout -> done
Jan 25 13:47:02 doofenshmirtz NetworkManager[1092]: <info>  [1548413222.2090] device (em1): state change: ip-config -> failed (reason 'ip-config-unavailable', sys-ifac>
Jan 25 13:47:02 doofenshmirtz NetworkManager[1092]: <info>  [1548413222.2091] manager: NetworkManager state is now DISCONNECTED
Jan 25 13:47:02 doofenshmirtz NetworkManager[1092]: <warn>  [1548413222.2094] device (em1): Activation: failed for connection 'Wired connection 1'
Jan 25 13:47:02 doofenshmirtz NetworkManager[1092]: <info>  [1548413222.2099] device (em1): state change: failed -> disconnected (reason 'none', sys-iface-state: 'mana>
Comment 9 Rubén Torrero Marijnissen 2019-01-25 16:10:21 UTC
It looks that something is starting NetworkManager, probably as a dependency as Before= or After=, and this is making both Wicked and NetworkManager run at the same time causing unexpected behaviour.

Could you post the output of:
`systemd-analyze critical-chain` ?

Thanks!
Comment 10 Marius Tomaschewski 2019-01-25 16:42:25 UTC
and `systemctl list-dependencies --reverse NetworkManager.service`
Comment 11 Sharone B. 2019-01-26 15:53:54 UTC
Here it is after I boot with Wicked enabled.

# systemctl list-dependencies --reverse NetworkManager.service
NetworkManager.service
● └─NetworkManager-wait-online.service

After I enable NetworkManager via YAST

# systemctl list-dependencies --reverse NetworkManager.service
NetworkManager.service
● ├─NetworkManager-wait-online.service
● └─multi-user.target
●   └─graphical.target


# systemd-analyze critical-chain                      
The time after the unit is active or started is printed after the "@" character.
The time the unit takes to start is printed after the "+" character.

graphical.target @1min 2.646s
└─display-manager.service @59.046s +3.600s
  └─systemd-user-sessions.service @59.023s +21ms
    └─remote-fs.target @59.022s
      └─iscsi.service @58.880s +142ms
        └─network-online.target @58.834s
          └─network.target @33.884s
            └─wpa_supplicant.service @29.375s +270ms
              └─dbus.service @20.428s
                └─basic.target @20.410s
                  └─sockets.target @20.409s
                    └─snapd.socket @20.395s +14ms
                      └─sysinit.target @20.348s
                        └─apparmor.service @12.133s +8.214s
                          └─var.mount @11.691s +154ms
                            └─systemd-fsck@dev-disk-by\x2duuid-c7cdfde4\x2dae44\x2d4d48\x2d8921\x2da059ddca1fe0.service @10.711s +978ms
                              └─local-fs-pre.target @10.711s
                                └─lvm2-monitor.service @4.801s +5.909s
                                  └─lvm2-lvmetad.service @5.277s
                                    └─lvm2-lvmetad.socket @4.505s
                                      └─-.slice

Thank you
Comment 12 Rubén Torrero Marijnissen 2019-01-31 11:18:51 UTC
Hi Sharone,

Could you paste the output of:

$ systemctl list-dependencies --reverse NetworkManager-wait-online.service

Thanks!
Comment 13 Sharone B. 2019-01-31 12:55:52 UTC
Currently on Wicked
# systemctl list-dependencies --reverse NetworkManager-wait-online.service
NetworkManager-wait-online.service
● └─teamviewerd.service
Comment 14 Rubén Torrero Marijnissen 2019-01-31 13:06:07 UTC
*** Bug 1117636 has been marked as a duplicate of this bug. ***
Comment 15 Rubén Torrero Marijnissen 2019-01-31 13:11:02 UTC
Hi Sharone,

It's teamviewerd what is causing the issue by putting a direct dependency on it's service file towards NetworkManager-wait-online.service. See https://bugzilla.suse.com/show_bug.cgi?id=1117636 for a temporary workaround.

I'm trying to get in touch with TeamViewer to ask them to fix this in their package.
Comment 16 Sharone B. 2019-02-04 07:57:54 UTC
I uninstalled TeamViewer and my network issues were resolved. Thank you.
Comment 17 Rubén Torrero Marijnissen 2019-08-27 14:21:45 UTC
TeamViewer support confirms that the are removing the NetworkManager dependency and will publish an update next month. Closing the issue as solved.

Thanks,

Rubén.